Subject: bug#43748: 28.0.50; M-x shell: there is no completion after cd ..

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Oct 2020 20:29:16 +0300

> From: Jean Louis <[email-masked]>
> Date: Thu, 01 Oct 2020 19:50:45 +0300
> 
> 
> I have noticed that there is no completion in M-x shell after I do the
> cd ..
> 
> Example:
> 
> cd t<TAB> will give me: cd tmp
> 
> then I am in ~/tmp directory, then I do: cd ..
> 
> then if I wish to do again cd t<TAB>, there is "no match" notification.

Works here.

I'm quite sure this is something specific to your system's
configuration, symlinks, etc.  It is not a general problem.